	SUBROUTINE AC_IFSP  ( rimnem, cimnem, iret )
C************************************************************************
C* AC_IFSP								*
C*									*
C* This subroutine initializes the interface mnemonic arrays and sets	*
C* the pointers within COMMON / RINTFP / and COMMON / CINTFP /.		*
C*									*
C* AC_IFSP  ( RIMNEM, CIMNEM, IRET )					*
C*									*
C* Output parameters:							*
C*	RIMNEM (*)	CHAR*		Interface mnemonics for reals	*
C*	CIMNEM (*)	CHAR*		Interface mnemonics for chars	*
C*	IRET		INTEGER		Return code 			*
C*					  0 = normal return 		*
C*					 -1 = one or more pointers	*
C*					      could not be set 		*
C*									*
C**									*
C* Log:									*
C* J. Ator/NCEP		01/98						*
C* J. Ator/NCEP		01/99	Added intf mnemonics to calling sequence*
C* J. Ator/NCEP		01/00	Clean up function declarations		*
C* R. Hollern/NCEP	05/00	Initialized multi-level data            *
C* J. Ator/NCEP		09/00	Removed "GEMINC:" prefix from INCLUDEs	*
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
	INCLUDE		'accmn.cmn'
C*
	CHARACTER*(*)	rimnem (*), cimnem (*)
C*
	LOGICAL		allok
	INTEGER		iploc ( NRIMN )
	CHARACTER	rifmn ( NRIMN )*8, cifmn ( NCIMN )*8
C*
C*	Establish equivalance between iploc ( ) and COMMON / RINTFP /
C*
	EQUIVALENCE	( iploc (1), iryear )
C*
C*	Real interface mnemonics.
C*
	DATA	( rifmn (i), i = 1, NRIMN )
     +	/  'YEAR'  , 'MNTH'  , 'DAYS'  , 'HOUR'  , 'MINU'  , 'SECO'  ,
     +	   'SLAT'  , 'SLON'  , 'OSLL'  , 'PRES'  , 'IALT'  , 'TMPK'  ,
     +	   'PCAT'  , 'DRCT'  , 'SPED'  , 'TIWM'  , 'POAF'  , 'TADR'  ,
     +	   'TOST'  , 'ROLQ'  , 'INTV'  , 'MIXR'  , 'MSTQ'  , 'RELH'  ,
     +	   'TRBX10', 'TRBX21', 'TRBX32', 'TRBX43'  / 
C*
C*      Character interface mnemonics.
C*
	DATA	( cifmn (i), i = 1, NCIMN ) 
     +	/  'ACID'  , 'ACRN'  , 'ARST'  /
C-----------------------------------------------------------------------
	iret = 0
C
C*	Initialize the interface mnemonics.
C
	DO i = 1, NRIMN
	    rimnem ( i ) = rifmn ( i ) 
	END DO
	DO i = 1, NCIMN
	    cimnem ( i ) = cifmn ( i )
	END DO
C
C*	The logical variable "allok" is initially set to .true. but will
C*	be reset to .false. if any of the pointers cannot be set.
C
	allok = .true.
C
C*	Set the pointers for the real interface mnemonics.
C
	DO ii = 1, NRIMN
	    CALL DC_IFFP  ( rimnem (ii), rimnem, NRIMN, allok,
     +			    iploc (ii), ier ) 
	END DO
C
C*	Set the pointers for the character interface mnemonics.
C
	CALL DC_IFFP  ( 'ACID', cimnem, NCIMN, allok, icacid, ier )
	CALL DC_IFFP  ( 'ACRN', cimnem, NCIMN, allok, icacrn, ier )
	CALL DC_IFFP  ( 'ARST', cimnem, NCIMN, allok, icarst, ier )
C
C*	Were all of the pointers properly set?
C
	IF  ( .not. allok ) THEN
	    iret = -1
	END IF
C*
	RETURN
	END
